This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 913509 - openldap should be using portreserve
openldap should be using portreserve
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openldap (Show other bugs)
7.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Jan Synacek
BaseOS QE Security Team
:
Depends On: 790687
Blocks: 103401
  Show dependency treegraph
 
Reported: 2013-02-21 06:54 EST by David Spurek
Modified: 2015-03-02 00:27 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 790687
Environment:
Last Closed: 2013-08-08 05:11:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 David Spurek 2013-02-21 06:57:40 EST
/bin/systemctl status  slapd.service
slapd.service - OpenLDAP Server Daemon
	  Loaded: loaded (/usr/lib/systemd/system/slapd.service; disabled)
	  Active: inactive (dead)


systemctl status  portreserve.service
portreserve.service - Port reservation utility
	  Loaded: loaded (/usr/lib/systemd/system/portreserve.service; disabled)
	  Active: active (running) since Thu 2013-02-21 06:51:46 EST; 6s ago
	 Process: 11448 ExecStart=/sbin/portreserve (code=exited, status=0/SUCCESS)
	Main PID: 11449 (portreserve)
	  CGroup: name=systemd:/system/portreserve.service
		  └─11449 /sbin/portreserve


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   FAIL   ] :: Running 'netstat -anp | grep 636 | grep portreserve' (Expected 0, got 1)
:: [   LOG    ] :: Duration: 0s
:: [   LOG    ] :: Assertions: 0 good, 1 bad
:: [   FAIL   ] :: RESULT: Test

package versions:

openldap-2.4.33-3.el7
portreserve-0.0.5-6.el7
Comment 2 Bill Nottingham 2013-03-15 16:24:08 EDT
systemd socket activation should cover this, correct?
Comment 3 Jan Synacek 2013-08-08 05:11:02 EDT
If a service is activated by a socket, systemd creates that socket much sooner than any other service can claim it.

Note You need to log in before you can comment on or make changes to this bug.